Bug 817821 - ipa config-mod --delattr misleading invalid error messages
ipa config-mod --delattr misleading invalid error messages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.3
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 09:07 EDT by Jenny Galipeau
Modified: 2013-02-21 04:12 EST (History)
1 user (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:12:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jenny Galipeau 2012-05-01 09:07:10 EDT
Description of problem:

ipa config-mod --delattr returns misleading/invalid error messages with the following negative tests ::

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipaconfig_delattr invalid attribute negative test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Executing: ipa config-mod --delattr=ipaCustomFields=FALSE
:: [   LOG    ] :: "ipa config-mod --delattr=ipaCustomFields=FALSE" failed as expected.
:: [   FAIL   ] :: ERROR: Message not as expected. GOT: ipa: ERROR: ipacustomfields does not contain 'FALSE'  EXP: ipa: ERROR: 'ipacustomfields' does not exist 
:: [   FAIL   ] :: Verify expected error message. (Expected 0, got 1)
:: [   LOG    ] :: Duration: 5s
:: [   LOG    ] :: Assertions: 0 good, 2 bad
:: [   FAIL   ] :: RESULT: ipaconfig_delattr invalid attribute negative test


::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipaconfig_mod_delattr ipahomesrootdir negative test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Executing: ipa config-mod --delattr=ipahomesrootdir=/home/
:: [   LOG    ] :: "ipa config-mod --delattr=ipahomesrootdir=/home/" failed as expected.
:: [   FAIL   ] :: ERROR: Message not as expected. GOT: ipa: ERROR: ipahomesrootdir does not contain '/home/'  EXP: ipa: ERROR: 'ipahomesrootdir' is required 
:: [   FAIL   ] :: Verify expected error message. (Expected 0, got 1)
:: [   LOG    ] :: Duration: 5s
:: [   LOG    ] :: Assertions: 0 good, 2 bad
:: [   FAIL   ] :: RESULT: ipaconfig_mod_delattr ipahomesrootdir negative test

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipaconfig_mod_delattr ipadefaultloginshell negative test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Executing: ipa config-mod --delattr=ipadefaultloginshell=/bin/bash
:: [   LOG    ] :: "ipa config-mod --delattr=ipadefaultloginshell=/bin/bash" failed as expected.
:: [   FAIL   ] :: ERROR: Message not as expected. GOT: ipa: ERROR: ipadefaultloginshell does not contain '/bin/bash'  EXP: ipa: ERROR: 'ipadefaultloginshell' is required 
:: [   FAIL   ] :: Verify expected error message. (Expected 0, got 1)
:: [   LOG    ] :: Duration: 5s
:: [   LOG    ] :: Assertions: 0 good, 2 bad
:: [   FAIL   ] :: RESULT: ipaconfig_mod_delattr ipadefaultloginshell negative test

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipaconfig_mod_delattr ipadefaultprimarygroup negative test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Executing: ipa config-mod --delattr=ipadefaultprimarygroup=cn=ipausers,cn=accounts,cn=dc=testrelm,dc=com
:: [   LOG    ] :: "ipa config-mod --delattr=ipadefaultprimarygroup=cn=ipausers,cn=accounts,cn=dc=testrelm,dc=com" failed as expected.
:: [   FAIL   ] :: ERROR: Message not as expected. GOT: ipa: ERROR: ipadefaultprimarygroup does not contain 'cn=ipausers,cn=accounts,cn=dc=testrelm,dc=com'  EXP: ipa: ERROR: 'ipadefaultprimarygroup' is required 
:: [   FAIL   ] :: Verify expected error message. (Expected 0, got 1)
:: [   LOG    ] :: Duration: 5s
:: [   LOG    ] :: Assertions: 0 good, 2 bad
:: [   FAIL   ] :: RESULT: ipaconfig_mod_delattr ipadefaultprimarygroup negative test


Version-Release number of selected component (if applicable):

ipa-server-2.2.0-11.el6.i686


How reproducible:
always

Steps to Reproduce:
1.  see description
2.
3.
  
Actual results:
ipa: ERROR: <ipaconfigattr> does not contain '<currentvalueofconfigattr>'

Expected results:

ipa: ERROR: '<ipaconfigattr>' is required


Additional info:

The following config attributes return the correct error messages ::

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipaconfig_mod_delattr ipasearchtimelimit negative test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Executing: ipa config-mod --delattr=ipasearchtimelimit=2
:: [   LOG    ] :: "ipa config-mod --delattr=ipasearchtimelimit=2" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: 'ipasearchtimelimit' is required
:: [   PASS   ] :: Verify expected error message.
:: [   LOG    ] :: Duration: 6s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: ipaconfig_mod_delattr ipasearchtimelimit negative test

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipaconfig_mod_delattr ipasearchrecordslimit negative test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Executing: ipa config-mod --delattr=ipasearchrecordslimit=100
:: [   LOG    ] :: "ipa config-mod --delattr=ipasearchrecordslimit=100" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: 'ipasearchrecordslimit' is required
:: [   PASS   ] :: Verify expected error message.
:: [   LOG    ] :: Duration: 6s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: ipaconfig_mod_delattr ipasearchrecordslimit negative test

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipaconfig_mod_delattr ipacertificatesubjectbase negative test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Executing: ipa config-mod --delattr=ipacertificatesubjectbase=O=TESTRELM.COM
:: [   LOG    ] :: "ipa config-mod --delattr=ipacertificatesubjectbase=O=TESTRELM.COM" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: 'ipacertificatesubjectbase' is required
:: [   PASS   ] :: Verify expected error message.
:: [   LOG    ] :: Duration: 6s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: ipaconfig_mod_delattr ipacertificatesubjectbase negative test

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipaconfig_mod_delattr ipapwdexpadvnotify negative test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Executing: ipa config-mod --delattr=ipapwdexpadvnotify=4
:: [   LOG    ] :: "ipa config-mod --delattr=ipapwdexpadvnotify=4" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: 'ipapwdexpadvnotify' is required
:: [   PASS   ] :: Verify expected error message.
:: [   LOG    ] :: Duration: 6s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: ipaconfig_mod_delattr ipapwdexpadvnotify negative test

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipaconfig_mod_delattr ipamaxusernamelength negative test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Executing: ipa config-mod --delattr=ipamaxusernamelength=32
:: [   LOG    ] :: "ipa config-mod --delattr=ipamaxusernamelength=32" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: 'ipamaxusernamelength' is required
:: [   PASS   ] :: Verify expected error message.
:: [   LOG    ] :: Duration: 5s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: ipaconfig_mod_delattr ipamaxusernamelength negative test
Comment 1 Rob Crittenden 2012-05-01 09:55:46 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2699
Comment 2 Rob Crittenden 2012-05-29 17:47:52 EDT
Fixed upstream.

master: 51bd68eaf5e2b21ce79f6b848a67f88abe9f7e11
Comment 5 Namita Soman 2013-01-14 22:32:48 EST

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipaconfig_delattr invalid attribute negative test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [16:13:24] ::  Executing: ipa config-mod --delattr=ipaCustomFields=FALSE
ipa: ERROR: invalid 'ipacustomfields': No such attribute on this entry
:: [16:13:25] ::  "ipa config-mod --delattr=ipaCustomFields=FALSE" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: invalid 'ipacustomfields': No such attribute on this entry
:: [   PASS   ] :: Verify expected error message.
:: [16:13:25] ::  Verifies bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=817821
'5e86e8d7-6738-4d25-a1fe-14893d64ab5e'
ipaconfig-delattr-invalid-attribute-negative-test result: PASS

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipaconfig_mod_delattr ipahomesrootdir negative test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [16:13:27] ::  Executing: ipa config-mod --delattr=ipahomesrootdir=/home/
ipa: ERROR: ipahomesrootdir does not contain '/home/'
:: [16:13:28] ::  "ipa config-mod --delattr=ipahomesrootdir=/home/" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: ipahomesrootdir does not contain '/home/'
:: [   PASS   ] :: Verify expected error message.
:: [16:13:29] ::  Verifies bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=817821
'14fa316c-001a-4f8c-972f-2804b214c467'
ipaconfig-mod-delattr-ipahomesrootdir-negative-test result: PASS

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipaconfig_mod_delattr ipadefaultloginshell negative test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [16:13:33] ::  Executing: ipa config-mod --delattr=ipadefaultloginshell=/bin/bash
ipa: ERROR: ipadefaultloginshell does not contain '/bin/bash'
:: [16:13:34] ::  "ipa config-mod --delattr=ipadefaultloginshell=/bin/bash" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: ipadefaultloginshell does not contain '/bin/bash'
:: [   PASS   ] :: Verify expected error message.
:: [16:13:35] ::  Verifies bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=817821
'967ce039-ba5b-412f-ab59-a7a7e4ecd728'
ipaconfig-mod-delattr-ipadefaultloginshell-negative-test result: PASS

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipaconfig_mod_delattr ipadefaultprimarygroup negative test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [16:13:36] ::  Executing: ipa config-mod --delattr=ipadefaultprimarygroup=cn=ipausers,cn=accounts,cn=dc=testrelm,dc=com
ipa: ERROR: ipadefaultprimarygroup does not contain 'cn=ipausers,cn=accounts,cn=dc=testrelm,dc=com'
:: [16:13:37] ::  "ipa config-mod --delattr=ipadefaultprimarygroup=cn=ipausers,cn=accounts,cn=dc=testrelm,dc=com" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: ipadefaultprimarygroup does not contain 'cn=ipausers,cn=accounts,cn=dc=testrelm,dc=com'
:: [   PASS   ] :: Verify expected error message.
:: [16:13:38] ::  Verifies bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=817821
'231c85a4-7911-463b-99e9-c93a772f22d9'
ipaconfig-mod-delattr-ipadefaultprimarygroup-negative-test result: PASS
Comment 7 errata-xmlrpc 2013-02-21 04:12:20 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.